/* Inversion d'une chaine de caracteres        */

public class InversionChaineCaracteres {
  
/////////////////////////////////////////////////

/* Inversion d'une chaine de caracteres        */
/* st : la chaine de carateres à inverser      */

  static String inversionChaine(String st) {
    String s;
    String s1;
    String s2;
    int lst = st.length();
    if ( ( lst == 0 ) || ( lst == 1 ) ) {
      s = st; }
      else {
      s1 = st.substring(0,1); 
      s2 = inversionChaine(st.substring(1,lst)); 
      s = s2+s1; }
    return s;
  }

/////////////////////////////////////////////////
  
/* Programme principal                         */

  public static void main(String [] args) {
    String st;
    String sti;
    Ecran.afficher("Chaine a inverser ? ");
    st = Clavier.saisirString();
    sti = inversionChaine(st);
    Ecran.afficherln("Chaine inversée   : ",sti);
  }
}